#include <bits/stdc++.h>

#define int long long

using namespace std;

const int N = 1e6 + 10;

signed main(){
    bool primes[N];
    memset(primes, true, sizeof primes);
    primes[0] = primes[1] = false;
    for(int i = 2; i < N; i++) {
        if (primes[i]) {
            for (int j = i * i; j < N; j += i) {
                primes[j] = false;
            }
        }
    }
    int n;
    cin >> n;
    vector<pair<int, int>> v(n);
    unordered_map<int, int> col;
    for(int i = 0; i < n; i++){
        cin >> v[i].first;
        v[i].second = i;
        col[v[i].first] = 0;
    }
    sort(v.begin(), v.end());
    for(int i = 0; i < n; i++){
        if(col[v[i].first] != -1){
            continue;
        }
        for(int j = 1; j * j <= v[i].first; j++){
            if(v[i].first % j == 0){
                if(col.find(j) != col.end()){
                    if(primes[v[i].first / j]){
                        col[v[i].first] = col[j] ^ 1;
                    }
                }
                if(col.find(v[i].first / j) != col.end()){
                    if(primes[j]){
                        col[v[i].first] = col[v[i].first / j] ^ 1;
                    }
                }
            }
        }
        if(col[v[i].first] == -1){
            col[v[i].first] = 0;
        }
    }
    vector<int> ans(n);
    for(int i = 0; i < n; i++){
        ans[v[i].second] = col[v[i].first];
    }
    for(auto u : ans){
        cout << u + 1 << ' ';
    }
}