#include <bits/stdc++.h>

#define int long long

using namespace std;

const int N = 1e6 + 10;

signed main(){
    bool primes[N];
    memset(primes, true, sizeof primes);
    primes[0] = primes[1] = false;
    for(int i = 2; i < N; i++){
        if(primes[i]){
            for(int j = i * i; j < N; j += i){
                primes[j] = false;
            }
        }
    }
    int n;
    cin >> n;
    vector<pair<int, int>> v(n);
    unordered_map<int, int> s;
    for(int i = 0; i < n; i++){
        cin >> v[i].first;
        v[i].second = i;
        s[v[i].first] = i;
    }
    sort(v.begin(), v.end());
    vector<int> color(n, 1);
    for(int i = 0; i < n; i++){
        for(int j = 1; j * j <= v[i].first; j++){
            if(v[i].first % j == 0){
                if(s.find(j) != s.end()) {
                    if (primes[v[i].first / j]) {
                        color[v[i].second] = color[s[j]] ^ 1;
                    } else {
                        color[v[i].second] = color[s[j]];
                    }
                }
                if(s.find(v[i].first / j) != s.end()) {
                    if (primes[j]) {
                        color[v[i].second] = color[s[v[i].first / j]] ^ 1;
                    } else {
                        color[v[i].second] = color[s[v[i].first / j]];
                    }
                }
            }
        }
    }
    for(auto u : color){
        cout << u + 1 << ' ';
    }
}