#include <bits/stdc++.h>

#define int long long

using namespace std;

const int N = 1e6 + 10;

signed main(){
    bool primes[N];
    memset(primes, true, sizeof primes);
    primes[0] = primes[1] = false;
    vector<int> p;
    for(int i = 2; i < N; i++){
        if(primes[i]){
            p.push_back(i);
            for(int j = i * i; j < N; j += i){
                primes[j] = false;
            }
        }
    }
    int n;
    cin >> n;
    vector<pair<int, int>> v(n);
    unordered_map<int, int> s;
    for(int i = 0; i < n; i++){
        cin >> v[i].first;
        v[i].second = i;
        s[v[i].first] = 0;
    }
    sort(v.begin(), v.end());
    for(int i = 0; i < n; i++){
        for(auto u : p){
            if(s.find(u * v[i].first) != s.end()){
                s[u * v[i].first] = s[v[i].first] ^ 1;
            }
        }
    }
    vector<int> color(n);
    for(int i = 0; i < n; i++) {
        color[v[i].second] = s[v[i].first];
    }
    for(int i = 0; i < n; i++){
        cout << color[i] + 1 << ' ';
    }
}