#include <bits/stdc++.h>

#define int long long
#define endl '\n'

using namespace std;

const int N = 1e5 + 10;
vector<int> g[N];
int t1[N * 4], t2[N * 4], add1[N * 4], add2[N * 4], p[N], root,
        tin[N], tout[N], t = 0, pre[N], s[N];
vector<int> euler;
unordered_map<int, int> idx;

// ДО на присвоение
void push1(int v, int l, int r) {
    if (add1[v] != -2) {
        if (r - l != 1) {
            add1[v * 2 + 1] = add1[v];
            add1[v * 2 + 2] = add1[v];
            t1[v * 2 + 1] = add1[v];
            t1[v * 2 + 2] = add1[v];
        }
        t1[v] = add1[v];
        add1[v] = -2;
    }
}

void update1(int v, int tl, int tr, int l, int r, int val) {
    push1(v, tl, tr);
    if (l <= tl && tr <= r) {
        add1[v] = val;
        push1(v, tl, tr);
        return;
    }
    if (tr <= l || r <= tl) {
        return;
    }
    int mid = (tl + tr) >> 1;
    update1(v * 2 + 1, tl, mid, l, r, val);
    update1(v * 2 + 2, mid, tr, l, r, val);
}

int get1(int v, int l, int r, int pos) {
    push1(v, l, r);
    if (r - l == 1) {
        return t1[v];
    } else {
        int mid = (l + r) >> 1;
        push1(v * 2 + 1, l, mid);
        push1(v * 2 + 2, mid, r);
        if (pos >= mid) {
            return get1(v * 2 + 2, mid, r, pos);
        } else {
            return get1(v * 2 + 1, l, mid, pos);
        }
    }
}


// ДО на прибавление
void push2(int v, int l, int r) {
    if (r - l != 1) {
        add2[v * 2 + 1] += add2[v];
        add2[v * 2 + 2] += add2[v];
    }
    t2[v] += add2[v];
    add2[v] = 0;
}

void update2(int v, int tl, int tr, int l, int r, int val) {
    push2(v, tl, tr);
    if (l <= tl && tr <= r) {
        add2[v] += val;
        push2(v, tl, tr);
        return;
    }
    if (tr <= l || r <= tl) {
        return;
    }
    int mid = (tl + tr) >> 1;
    update2(v * 2 + 1, tl, mid, l, r, val);
    update2(v * 2 + 2, mid, tr, l, r, val);
}

int get2(int v, int l, int r, int pos) {
    push2(v, l, r);
    if (r - l == 1) {
        return t2[v];
    } else {
        int mid = (l + r) >> 1;
        if (pos >= mid) {
            return get2(v * 2 + 2, mid, r, pos);
        } else {
            return get2(v * 2 + 1, l, mid, pos);
        }
    }
}

void dfs(int v) {
    s[v] = 1;
    euler.push_back(v);
    tin[v] = t++;
    for (int &u: g[v]) {
        if (u != p[v]) {
            dfs(u);
            s[v] += s[u];
        }
    }
    tout[v] = t;
}

void print_tree(int v, int l, int r){
    push2(v, l, r);
    if(r - l == 1) {
        cout << t2[v] + l + 1 << ' ';
    }else{
        int mid = (l + r) >> 1;
        print_tree(v * 2 + 1, l, mid);
        print_tree(v * 2 + 2, mid, r);
    }
}

signed main() {
//    ios_base::sync_with_stdio(false);
//    cin.tie(nullptr);
    memset(t1, -1, sizeof t1);
    memset(pre, -1, sizeof pre);
    for(int i = 0; i < N; i++){
        add1[i] = -2;
    }
    memset(t2, 0, sizeof t2);
    memset(p, -1, sizeof p);
    int n, q;
    cin >> n >> q;
    for (int i = 0; i < n; i++) {
        int a, b;
        cin >> a >> b;
        if (a != 0) {
            p[a - 1] = i;
            g[i].push_back(a - 1);
        }
        if (b != 0) {
            p[b - 1] = i;
            g[i].push_back(b - 1);
        }
    }

    for (int i = 0; i < n; i++)
        if (p[i] == -1)
            root = i;

    dfs(root);

    for(int i = 0; i < n; i++){
        idx[euler[i]] = i;
    }

    while (q--) {
        int type;
        cin >> type;
        if (type == 1) {
            int l, r, x;
            cin >> l >> r >> x;
            l--;
            update1(0, 0, n, l, r, x);
        } else {
            int i, copi;
            cin >> i;
            i--;
            copi = i;
            while (i != -1) {
                int val = get1(0, 0, n, i);
                if (g[i].size() > 0) {
                    if (val != pre[i]) {
                        if (pre[i] == -1) {
                            update2(0, 0, n, tin[g[i][0]], tout[g[i][0]], -1);
                            update2(0, 0, n, tin[i], tin[i] + 1, s[g[i][0]]);
                            if (val == 1 && g[i].size() > 1) {
                                update2(0, 0, n, tin[g[i][1]], tout[g[i][1]], -1);
                                update2(0, 0, n, tin[i], tin[i] + 1, s[g[i][1]]);
                            }
                        }
                        if (pre[i] == 0) {
                            if (val == -1) {
                                update2(0, 0, n, tin[g[i][0]], tout[g[i][0]], 1);
                                update2(0, 0, n, tin[i], tin[i] + 1, -s[g[i][0]]);
                            } else if (val == 1 && g[i].size() > 1) {
                                update2(0, 0, n, tin[g[i][1]], tout[g[i][1]], -1);
                                update2(0, 0, n, tin[i], tin[i] + 1, s[g[i][1]]);
                            }
                        }
                        if (pre[i] == 1) {
                            if (g[i].size() > 1) {
                                update2(0, 0, n, tin[g[i][1]], tout[g[i][1]], 1);
                                update2(0, 0, n, tin[i], tin[i] + 1, -s[g[i][1]]);
                            }
                            if (val == -1) {
                                update2(0, 0, n, tin[g[i][0]], tout[g[i][0]], 1);
                                update2(0, 0, n, tin[i], tin[i] + 1, -s[g[i][0]]);
                            }
                        }
                    }
                }
                pre[i] = val;
                i = p[i];
            }
            cout << get2(0, 0, n, tin[copi]) + idx[copi] + 1;
        }
     //   print_tree(0, 0, n);
        cout << endl;
    }
}

/*
5 5
3 4
0 0
5 2
0 0
0 0
2 2
1 1 3 1
 2 5
 1 3 3 0
 2 3

 7 100
2 5
3 4
0 0
0 0
6 7
0 0
0 0
1 1 1 1
 */